Loading...
Searching...
No Matches
pi.h File Reference
`#include <grass/gis.h>`
Include dependency graph for pi.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | Radians(x)
#define | Degrees(x)

## Macro Definition Documentation

## Degrees

#define Degrees | ( |  | x | ) |

Value:
((x) * 180.0 / M_PI)
x
#define x

Definition at line 7 of file pi.h.

Referenced by G_geodesic_lat_from_lon(), and G_rhumbline_lat_from_lon().

## Radians

#define Radians | ( |  | x | ) |

Value:
((x) * M_PI / 180.0)

Definition at line 6 of file pi.h.

Referenced by G_begin_geodesic_equation(), G_begin_rhumbline_equation(), G_darea0_on_ellipsoid(), G_darea0_on_sphere(), G_ellipsoid_polygon_area(), G_geodesic_distance_lon_to_lon(), G_geodesic_lat_from_lon(), G_meridional_radius_of_curvature(), G_radius_of_conformal_tangent_sphere(), G_rhumbline_lat_from_lon(), G_set_geodesic_distance_lat1(), G_set_geodesic_distance_lat2(), and G_transverse_radius_of_curvature().